Skip to Content
inclamoDocs

Get Account reports

GET
/api/v2/accounts/{account_id}/reports

Get Account reports for a specific type, metric and date range

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

metric*string

The type of metric

Value in"conversations_count""incoming_messages_count""outgoing_messages_count""avg_first_response_time""avg_resolution_time""resolutions_count"
type*string

Type of report

Value in"account""agent""inbox""label""team"
id?string

The Id of specific object in case of agent/inbox/label

since?string

The timestamp from where report should start.

until?string

The timestamp from where report should stop.

Response Body

Success

application/json
  1. response

Array of date based conversation statistics

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports?metric=conversations_count&type=account'
Example Response
[  {    "value": "string",    "timestamp": 0  }]